using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Txgy.EWS.Client.Common.Extensions
{
    public static class MiscExtensions
    {
        public static IEnumerable<T> TakeLast<T>(this IEnumerable<T> source, int N)
        {
            if (source == null) return Enumerable.Empty<T>();
            return source.Skip(Math.Max(0, source.Count() - N));
        }
    }

}
